Debian Bug report logs - #559591
Please build against PostgreSQL 8.4 (only)

version graph

Package: postgresql-pljava; Maintainer for postgresql-pljava is Peter Eisentraut <petere@debian.org>;

Reported by: Martin Pitt <mpitt@debian.org>

Date: Sat, 5 Dec 2009 15:42:01 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Found in version 1.4.0-1.1

Fixed in version postgresql-pljava/1.4.2-1

Done: Christoph Berg <myon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Eisentraut <petere@debian.org>:
Bug#559591; Package postgresql-pljava. (Sat, 05 Dec 2009 15:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
New Bug report received and forwarded. Copy sent to Peter Eisentraut <petere@debian.org>. (Sat, 05 Dec 2009 15:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Debian BTS Submit <submit@bugs.debian.org>
Subject: Please build against PostgreSQL 8.4 (only)
Date: Sat, 5 Dec 2009 16:40:38 +0100
[Message part 1 (text/plain, inline)]
Package: postgresql-pljava
Version: 1.4.0-1.1
Severity: important

Hello,

your package still (build-/binary) depends on PostgreSQL older than
the current 8.4. In Squeeze we will only support 8.4 and drop 8.3 [1].

Please build an 8.4 extension only and drop all older packages, build,
and binary dependencies.

Thank you!

Martin

[1] http://lists.debian.org/debian-release/2009/12/msg00031.html

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 559591 blocks 569149 Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Wed, 10 Feb 2010 11:30:13 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Wed, 10 Feb 2010 11:30:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Eisentraut <petere@debian.org>:
Bug#559591; Package postgresql-pljava. (Thu, 18 Mar 2010 01:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Pavlichuk <pav5088@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Peter Eisentraut <petere@debian.org>. (Thu, 18 Mar 2010 01:42:03 GMT) Full text and rfc822 format available.

Message #14 received at 559591@bugs.debian.org (full text, mbox):

From: Mark Pavlichuk <pav5088@internode.on.net>
To: 559591@bugs.debian.org
Subject: pljava requires patch from CVS
Date: Thu, 18 Mar 2010 11:39:46 +1000
  Apparently this bug requires a patch as pljava will otherwise fail to 
build against Postgres v8.4.1.  According to the pljava mailing list 
this patch is in the pljava CVS.

-- 
Mark Pavlichuk






Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Thu, 18 Mar 2010 08:13:20 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:42 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Fri, 15 Apr 2011 14:09:13 GMT) Full text and rfc822 format available.

Reply sent to Christoph Berg <myon@debian.org>:
You have taken responsibility. (Fri, 15 Apr 2011 18:33:05 GMT) Full text and rfc822 format available.

Notification sent to Martin Pitt <mpitt@debian.org>:
Bug acknowledged by developer. (Fri, 15 Apr 2011 18:33:05 GMT) Full text and rfc822 format available.

Message #25 received at 559591-close@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 559591-close@bugs.debian.org
Subject: Bug#559591: fixed in postgresql-pljava 1.4.2-1
Date: Fri, 15 Apr 2011 18:32:08 +0000
Source: postgresql-pljava
Source-Version: 1.4.2-1

We believe that the bug you reported is fixed in the latest version of
postgresql-pljava, which is due to be installed in the Debian FTP archive:

postgresql-8.4-pljava-gcj_1.4.2-1_amd64.deb
  to main/p/postgresql-pljava/postgresql-8.4-pljava-gcj_1.4.2-1_amd64.deb
postgresql-9.0-pljava-gcj_1.4.2-1_amd64.deb
  to main/p/postgresql-pljava/postgresql-9.0-pljava-gcj_1.4.2-1_amd64.deb
postgresql-pljava_1.4.2-1.debian.tar.gz
  to main/p/postgresql-pljava/postgresql-pljava_1.4.2-1.debian.tar.gz
postgresql-pljava_1.4.2-1.dsc
  to main/p/postgresql-pljava/postgresql-pljava_1.4.2-1.dsc
postgresql-pljava_1.4.2.orig.tar.gz
  to main/p/postgresql-pljava/postgresql-pljava_1.4.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 559591@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Berg <myon@debian.org> (supplier of updated postgresql-pljava package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 12 Apr 2011 16:50:58 +0200
Source: postgresql-pljava
Binary: postgresql-8.4-pljava-gcj postgresql-9.0-pljava-gcj
Architecture: source amd64
Version: 1.4.2-1
Distribution: experimental
Urgency: low
Maintainer: Peter Eisentraut <petere@debian.org>
Changed-By: Christoph Berg <myon@debian.org>
Description: 
 postgresql-8.4-pljava-gcj - Java procedural language for PostgreSQL 8.4
 postgresql-9.0-pljava-gcj - Java procedural language for PostgreSQL 9.0
Closes: 559591 600658
Changes: 
 postgresql-pljava (1.4.2-1) experimental; urgency=low
 .
   * New upstream release.
   * Add myself as co-maintainer.
   * Convert to plain debhelper to add multi-version support using pg_buildext.
   * Update to build with PG 8.4 and 9.0.  Closes: #559591.
   * Use explicit -L/usr/lib/jvm/java-1.5.0-gcj-4.4/lib for now and link
     against libjvm (workaround for #390661, #475069, a proper fix is requested
     in #488989).
   * Despite being redundant, link against libgcj so we have a Depends on it.
   * Also add an RPATH for /usr/lib/jvm/java-1.5.0-gcj-4.4/lib (there's no good
     public location, see also #488989).
   * Update download location.  Closes: #600658.
Checksums-Sha1: 
 c9997a912d5b56d7558033e01df5081f98b1460e 2146 postgresql-pljava_1.4.2-1.dsc
 d49b646b25452bfb027fd5dba17616a4830ba9fb 234825 postgresql-pljava_1.4.2.orig.tar.gz
 f6341d9e97f8f78a4b3ec2f2c4fc07b291b9f651 4999 postgresql-pljava_1.4.2-1.debian.tar.gz
 b0cf9cc5528c00b793a8dae0c14a9ad91cf53f99 355400 postgresql-8.4-pljava-gcj_1.4.2-1_amd64.deb
 a2b9791cd641da38a7c776a81b03f096e0cb3665 355378 postgresql-9.0-pljava-gcj_1.4.2-1_amd64.deb
Checksums-Sha256: 
 de753447b4dbd03fbf1c76bba186b9a00ee2a81a8e93446c061c9ec5fc0bf37f 2146 postgresql-pljava_1.4.2-1.dsc
 5e60d043fde2f95e73044db903e354dae3f8c6be66c2145e180d1733ee076021 234825 postgresql-pljava_1.4.2.orig.tar.gz
 fe1432032476d9cefb9faba84afd5782d7fb74fbe765d21dd29ba869eecbb1cf 4999 postgresql-pljava_1.4.2-1.debian.tar.gz
 ced9f8e92b68f7be455ced3a818a0fb80edb094ad90f70ed3c60cd9538f0e4da 355400 postgresql-8.4-pljava-gcj_1.4.2-1_amd64.deb
 7d23bd251f93b4da9d01998a99a2a3ccde7e0e43334d5dd86ac4194ebc099191 355378 postgresql-9.0-pljava-gcj_1.4.2-1_amd64.deb
Files: 
 65521ae52433556b864a89fe41670c1a 2146 misc optional postgresql-pljava_1.4.2-1.dsc
 329ab57a8fb4b3227b54a6cc277e3704 234825 misc optional postgresql-pljava_1.4.2.orig.tar.gz
 31e284b4cb9dc8bf096a54bf11a3662d 4999 misc optional postgresql-pljava_1.4.2-1.debian.tar.gz
 f8bab6dd8a822576268e5d9ebe65d7c3 355400 misc optional postgresql-8.4-pljava-gcj_1.4.2-1_amd64.deb
 a8bc8a8320c8fd980b19a7cdfb80c9b8 355378 misc optional postgresql-9.0-pljava-gcj_1.4.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNqGWxAAoJEExaa6sS0qeu60QP/1DBdoiHyUAUibIVPdSPzaYP
KuP/YK2vM+3PfNltGj4QEsTYUW8k8UU1AGgFLvuN8/oSMF7+yclZV72mKw8M6fF6
JPkN7Nr8cCo5b6qgWdeIBXyfEJ+SU0uKKb/mYqwgs5vbTA8PW08QN993J5zyW/Cn
7MW2Ey3rPgyvvqL4VeVihqEcGssC7I6nv/BPp/bGQ9mgJS5ZiQqAsbqqdQ5wQVn1
EfyEiLU1b7PGqo2qZtEplHEB6Mc6nslshX4A2GyWv8VhLRuDMuqDFXLFV2OSVnwW
3hNuarBMjw/3vXaVzSuMIK4zwQv8fK0Fb5v0nuc9kEfjaNTV3LliGBG6oPGvb/XN
/YrI4nqFy3QKK8yz622rgDJX5u8X4UbIywrln/oYp2v0/wNNt8Rqm6YjvENAxOR4
YDiwFLMsEH6qgYgbpl2UPMA0pRTrkR2cxDjmFnHPXQDWeQvEHvtTgnexa4MTIwT+
siG34ZRVlb8kah4BlBj9bDV8D3kMFnlQd1BU36Ax0r9lnKb5S2+DFto8EX/VnHYE
IN92JLtSe3Wps9SDPDUCiGROTwdPOCwANXSeZqAWEp46x3jVZSvPXlnYlGkxAXJp
WLRu+lg9ANeFP+i9q2cNg3W5CAlT2QXlqcX3mXHYnWpUnPU1NDhBdPGfsxaTsOVw
TLEVCFl39mN67ejX9cQ3
=g7yX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Sep 2011 07:39:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:28:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.